/*******************************************************************************
* File Name    : LCD_LIB
* Version      : Rev. 2.10
* Device(s)    : R7F102GG
* Tool-Chain   : Arduino
* Description  : This file implements LCD control function for ACM1602
* Creation Date: 2016/09/30 First Release
* Modified Date: 2022/05/20 Ported to RL78/G23-64PFPB
*                2023/04/25 Ported to RL78/G22-48PFPB
********************************************************************************/

/******************************************************************************
LCD Function Prototypes declaration
******************************************************************************/
/* LCD intialisation function prototype */

void init_LCD(uint8_t pin_rs, uint8_t pin_rw, uint8_t pin_e,uint8_t pin_d4, uint8_t pin_d5,uint8_t pin_d6, uint8_t pin_d7);
void DisplayString(uint8_t position, int8_t * string);  // LCD string display function prototype
byte LCD_DATA_write(uint8_t value);         // LCD data byte write function prototype
void setCursor( uint8_t col , uint8_t row); // move cursor
void set_2digitBCD( uint8_t data);          // convert data(0 to 99) to 2 digits of ASCII code
void set_2digit( uint8_t data);             // convert byte data(0 to 0xFF) to 2 digits of ASCII code
void set_1digit( uint8_t data);             // convert data(0 to F) to 1 digit of ASCII code
byte LCD_write(uint8_t value);              // write byte data to LCDC(HD44780)
byte LCD_nibble_write(uint8_t value);       // write lowwer 4bits data to LCDC(HD44780)
